🛈 Announcement
Greetings! Anno forums are now archived and accessible in read-only mode, please go to the new platform to discuss the game
  1. #1

    Do I need G4+ Iphone to play this game?

    Just as the title says
    Share this post

  2. #2
    UbiVertigo's Avatar Community Developer
    Join Date
    Oct 2015
    Posts
    1,445
    Hi SaintHedgehog,

    Asteroid Miner requires iOS 8.0+.
    Share this post